{
  "name": "@website/server",
  "packageManager": "bun@1.2.22",
  "private": true,
  "type": "module",
  "scripts": {
    "lint:tsc": "tsc --noEmit",
    "lint:biome": "biome lint",
    "build": "rollup -c",
    "dev:bun": "NODE_ENV=development bun --watch ./src/entrypoint.bun.ts",
    "dev:node": "NODE_ENV=development tsx --watch ./src/entrypoint.node.ts",
    "start:bun": "NODE_ENV=production bun ./dist/entrypoint.bun.js",
    "start:node": "NODE_ENV=production node --enable-source-maps ./dist/entrypoint.node.js",
    "clean:dist": "rm -rf dist",
    "clean:modules": "rm -rf node_modules"
  },
  "dependencies": {
    "@effect/opentelemetry": "^0.59.0",
    "@effect/platform": "^0.93.0",
    "@effect/platform-bun": "^0.86.0",
    "@effect/platform-node": "^0.103.0",
    "@effect/rpc": "^0.72.0",
    "@opentelemetry/exporter-trace-otlp-http": "^0.208.0",
    "@opentelemetry/sdk-metrics": "^2.1.0",
    "@opentelemetry/sdk-trace-base": "^2.1.0",
    "@opentelemetry/sdk-trace-node": "^2.1.0",
    "@opentelemetry/sdk-trace-web": "^2.1.0",
    "@website/common": "workspace:*",
    "effect": "^3.17.13"
  },
  "devDependencies": {
    "@rollup/plugin-node-resolve": "^16.0.1",
    "esbuild": "^0.27.0",
    "rollup": "^4.52.0",
    "rollup-plugin-esbuild": "^6.2.1",
    "tsx": "^4.20.5"
  }
}
